<back to all web services

MarkForTranslation

The following routes are available for this service:
PUT/RestApi/translations/translate/mark
namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations

open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations

    [<AllowNullLiteral>]
    type MarkForTranslation() = 
        member val Ids:Guid[] = null with get,set
        member val ProviderName:String = null with get,set
        member val ItemType:String = null with get,set
        member val SourceLanguage:String = null with get,set
        member val TargetLanguages:String[] = null with get,set
        member val ActualSourceLanguage:String = null with get,set
        member val AllowPartialSuccess:Boolean = new Boolean() with get,set

F# MarkForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/translations/translate/mark HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.